AMREPORT(8)

NAME
amreport - generate a formatted output of statistics for an AMANDA run

SYNOPSIS

amreport [config] [-l logfile] [-f outputfile] [-p postscriptfile]

DESCRIPTION

Amreport generates a summary report of an amanda(8) backup run. If no configuration name is specified, amanda.conf is read from the current directory.

See the amanda(8) man page for more details about AMANDA.

OPTIONS

config
    Name of the configuration to process.

-l logfile
    Name of the log file to parse to generate the report. If a log file is not specified, it defaults to the file:

logdir/log

where logdir is the log directory defined in amanda.conf.

-f outputfile
    Normally, amreport sends the report via e-mail to the mailto user as defined in the amanda.conf file. If outputfile is specified, then the report is put in outputfile.

-p postscriptfile
    Send the postscript output to the file postscriptfile instead of to the lpr(1) command. This option has an effect only if the lbl-templ directive is specified in amanda.conf.

LABEL PRINTING

AMANDA can print postscript labels describing the contents of tape(s) written in a run. The labels are designed to be folded and inserted into the tape case along with the tape or hole punched and put in a 3-ring binder. Various label templates are provided to format data for different tape sizes.

The information printed varies slightly between label templates due to size constraints. Labels contain one line for each host/file-system pair and may also contain the file number on the tape, the level of the dump, the original size of the dump and the size of the (possibly compressed) tape file.

Add the lbl-templ parameter to the tapetype definition in amanda.conf to enable labels. If you don't add this line to your tapetype definition, amreport will not print tape labels.

You may use the remap='I'>printer keyword in amanda.conf to print to other than the system default printer.

TEMPLATES

AMANDA provides label templates for the following tape types. These are pretty generic labels and should be easy to customize for other tape types or particular site needs.
* ExaByte 8mm tapes
* DAT 4mm tapes
* DLT tapes
* 3-ring binder

The 3-ring binder type is the most generic. It may be used to make a hardcopy log of the tapes.

SEE ALSO

amanda(8), amflush(8)